---
lang: en
title: 'API docs: socketio.socketioinvokemethod'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioinvokemethod.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)

## SocketIoInvokeMethod type

**Signature:**

```typescript
export type SocketIoInvokeMethod = (context: Context, controller: ControllerClass, methodName: string, args: unknown[]) => unknown;
```
**References:** [Context](./context.context.md)<!-- -->, [ControllerClass](./core.controllerclass.md)


